Create Schedule
Create a new Data Export Schedule. Each Schedule can be configured for exporting only one of either Usage or Operational data:
Operational Data Exports.
- Use the
operationalDataTypesparameter to specify the entities whose operational data you want to include in the export each time the Export Schedule runs. - For each of the entity types you select, each time the Export Schedule runs a separate file is compiled containing the operational data for all entities of that type that exist in your Organization
Usage Data Exports.
- Select the Meters and Accounts whose usage data you want to include in the export each time the Export Schedule runs.
- You can use the
dimensionFiltersparameter to filter the usage data returned for export by adding specific values of non-numeric Dimension data fields on included Meters. Only the data collected for the values you’ve added for the selected Dimension fields will be included in the export. - You can use the
aggregationsto apply aggregation methods the usage data returned for export. This restricts the range of usage data returned for export to only the data collected by aggregated fields on selected Meters. Nothing is returned for any non-aggregated fields on Meters. The usage data for Meter fields is returned as the values resulting from applying the selected aggregation method. See the Aggregations for Queries - Options and Consequences for more details. - If you’ve applied
aggregationsto the usage returned for export, you can then use thegroupsparameter to group the data by Account, Dimension, or Time.
Request and Response schema:
- Use the selector under the
sourceTypeparameter to expose the relevant request and response schema for the source data type.
Request and Response samples:
- Use the Example selector to show the relevant request and response samples for source data type.
Authorizations
m3ter supports machine to machine authentication using the clientCredentials OAuth2 flow.
The authorizationCode flow controls access for human users via the m3ter Console application.
Path Parameters
UUID of the organization
Body
- Option 1
- Option 2
Request representing an operational schedule configuration.
The name of the Data Export Schedule.
1Unique short code of the Data Export Schedule.
1 - 80^([^[\p{Cntrl}\s]])|([^[\p{Cntrl}\s]][[^[\p{Cntrl}\s]] ]*[^[\p{Cntrl}\s]])$A list of the entities whose operational data is included in the data export.
1BILLS, COMMITMENTS, ACCOUNTS, BALANCES, CONTRACTS, ACCOUNT_PLANS, AGGREGATIONS, PLANS, PRICING, PRICING_BANDS, BILL_LINE_ITEMS, METERS, PRODUCTS, COMPOUND_AGGREGATIONS, PLAN_GROUPS, PLAN_GROUP_LINKS, PLAN_TEMPLATES, BALANCE_TRANSACTIONS, TRANSACTION_TYPES, CHARGES The version number of the entity:
- Create entity: Not valid for initial insertion of new entity - do not use for Create. On initial Create, version is set at 1 and listed in the response.
- Update Entity: On Update, version is required and must match the existing version because a check is performed to ensure sequential versioning is preserved. Version is incremented by 1 and listed in the response.
The Export Destination ids.
Note: When creating or updating an Export Schedule, you can:
- Define at least one Export Destination - see the ExportDestination section of this API Reference.
- Alternatively, omit a Destination. Even if you omit a Destinations when the Export job runs and has succeeded, you can download the data export file locally. For details, see the Get Data Export File Download URL endpoint in this API Reference.
The type of interval used for when Data Exports are run for the Schedule. Possible values are: HOURLY or DAILY or MINUTE.
Used in conjunction with the period parameter to define the frequency of Data Exports in hours, days, or minutes.
HOUR|DAY|MINUTEDefines the Schedule frequency for the Data Export to run in Hours, Days, or Minutes. Used in conjunction with the scheduleType parameter:
- Lowest frequency is every 3 days.
- Highest frequency is every 15 minutes.
x >= 1Offset indicating starting point of the export
x >= 1Response
Returns the created Export Schedule
- Option 1
- Option 2
Response representing an operational data export configuration.
The id of the schedule.
The version number:
- Create: On initial Create to insert a new entity, the version is set at 1 in the response.
- Update: On successful Update, the version is incremented by 1 in the response.
The name of the Data Export Schedule.
Unique short code of the Data Export Schedule.
The Export Destination ids.
Defines the Schedule frequency for the Data Export to run in Hours, Days, or Minutes. Used in conjunction with the scheduleType parameter.
Offset indicating starting point of the export within the configured scheduleType. For DAY, offset is in hours. For HOUR, offset is in minutes. Offset is not valid for MINUTE.
A cron expression (https://en.wikipedia.org/wiki/Cron) describing the frequency of the expression. Executions cannot be more frequent than every 15 minutes.
The DateTime when the Data Export Schedule was created.
The DateTime when the Schedule was last modified.
The id of the user who created this Schedule.
The id of the user who last modified this Data Export Schedule.
A list of the entities whose operational data is included in the data export.
BILLS, COMMITMENTS, ACCOUNTS, BALANCES, CONTRACTS, ACCOUNT_PLANS, AGGREGATIONS, PLANS, PRICING, PRICING_BANDS, BILL_LINE_ITEMS, METERS, PRODUCTS, COMPOUND_AGGREGATIONS, PLAN_GROUPS, PLAN_GROUP_LINKS, PLAN_TEMPLATES, BALANCE_TRANSACTIONS, TRANSACTION_TYPES, CHARGES